{
    attributes = (
        {
            columnName = "CON_INDEX"; 
            externalType = VARCHAR2; 
            name = conIndex; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_OBJET"; 
            externalType = VARCHAR2; 
            name = conObjet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_REFERENCE_EXTERNE"; 
            externalType = VARCHAR2; 
            name = conReferenceExterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (conIndex, conObjet, conOrdre, conReferenceExterne, exeOrdre, orgId, tcdOrdre); 
    className = "org.cocktail.mangue.modele.mangue.budget.EOConvention"; 
    classProperties = (
        conIndex, 
        conObjet, 
        conReferenceExterne, 
        organ, 
        typeCredit, 
        conOrdre, 
        exeOrdre
    ); 
    externalName = "MANGUE.V_CONVENTIONS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            conIndex, 
            conObjet, 
            conReferenceExterne, 
            organ, 
            typeCredit, 
            conOrdre, 
            exeOrdre
        ); 
        "_javaClientClassName" = "org.cocktail.mangue.modele.mangue.budget.EOConvention"; 
        "_nameInObjectStore" = "MANGUE.V_CONVENTIONS"; 
    }; 
    name = Convention; 
    primaryKeyAttributes = (conOrdre); 
    relationships = (
        {
            destination = Organ; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = TypeCredit; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
